#ifndef __ADRENALIN__CFGPARSE__HEADER__
#define __ADRENALIN__CFGPARSE__HEADER__

#include <fstream.h>

const LINE_SIZE = 1024;

struct SLineAtom {
    char *Value;
    
};

class CCfgParser {
public:
    CCfgParser();
    CCfgParser(char *arg_fname);
    ~CCfgParser();
    int   Open(char *arg_fname);
    int   Failed() { return (Error); }
    int   Eof() { return (in_stream.eof()); }
    void  ReadLine();
    int   Count() { return (AtomsNumber); }
    char* operator [] (int i);
    char* String() { return (buf); }
    int   Line;
private:
    ifstream in_stream;
    int      Error;
    int      Opened;
    char     buf[LINE_SIZE];
    char   **LineAtoms;
    int      AtomsNumber;
    void ParseLine();
    void FreeMem();
};

#endif
