#ifndef __ADRENALIN__LNG__HEADER__
#define __ADRENALIN__LNG__HEADER__

enum {
    LNG_UNAVAILABLE_INFO,
    LNG_UNAVAILABLE_INFO_SUBJ,
    LNG_NO_COMMANDS_USED,
    LNG_NO_COMMANDS_USED_SUBJ,
    LNG_UNKNOWN_COMMANDS,
    LNG_UNKNOWN_COMMANDS_SUBJ,
    LNG_SUBSCRIPTION_CHANGES,
    LNG_SUBSCRIPTION_CHANGES_SUBJ,
    LNG_AREA_ALREADY_LINKED,
    LNG_AREA_LINKED,
    LNG_AREA_NO_ACCESS,
    LNG_AREA_MASK_NOT_FOUND,
    LNG_AREA_NOT_FOUND,
    LNG_AREA_UNLINKED,
    LNG_AREA_NOT_LINKED,
    LNG_HELP_SUBJ,
    LNG_HELP_HEAD,
    LNG_HELP_ALIASES,
    LNG_HELP,
    LNG_LIST_SUBJ,
    LNG_LIST_EMPTY,
    LNG_LIST_TITLE,
    LNG_LIST_MARKS_TITLE,
    LNG_MARKS,
    LNG_LINKED_SUBJ,
    LNG_LINKED_EMPTY,
    LNG_LINKED_TITLE,
    LNG_LINKED_MARKS_TITLE,
    LNG_UNLINKED_SUBJ,
    LNG_UNLINKED_EMPTY,
    LNG_UNLINKED_TITLE,
    LNG_LOCK_SUBJ,
    LNG_LOCK,
    LNG_ALREADY_LOCKED,
    LNG_UNLOCK_NOTIFY,
    LNG_UNLOCK_SUBJ,
    LNG_UNLOCK,
    LNG_NOT_LOCKED,
    LNG_LOCK_NOTIFY,
    LNG_INCORRECT_PASSWORD,
    LNG_ACCESS_DENIED_SUBJ,
    LNG_UNKNOWN_USER,
    LNG_REQUEST_FORWARDED,
};

const LNG_COUNT = 43;

class CLng {
public:
    CLng();
    ~CLng();
    int Read(char *LngFileName);
    char* operator [](int i);
    int Count() { return (LinesNumber); }
protected:
    char **Lines;
    int    LinesNumber;
    void Free();
};

#endif
