#include "pch.h"
#include "FTNStruc.hpp"
#include "Common.hpp"

SGlobalVars GlobalVars;

void SGlobalVars::FreeMsgData() {
    SMsgDataList *LastMsgData;

    while (MsgData != NULL) {
        LastMsgData = MsgData->Next;
        delete [] MsgData->Data;
        delete MsgData;
        MsgData = LastMsgData;
    }
}

CStringList::CStringList() {
    Strings = LastItem = NULL;
}

CStringList::~CStringList() {
    Free();
}

void CStringList::Free() {
    while (Strings != NULL) {
        LastItem = Strings->Next;
        delete [] Strings->String;
        delete Strings;
        Strings = LastItem;
    }
}

void CStringList::Add(char *s) {
    if (Strings == NULL) {
        Strings = new SStringList;
        LastItem = Strings;
    }
    else {
        LastItem->Next = new SStringList;
        LastItem = LastItem->Next;
    }
    LastItem->Next = NULL;
    LastItem->String = new char[strlen(s) + 1];
    strcpy( LastItem->String, s );
}
