// changes log:
// 03.02.2000 12:44
//	added szfnAvailAreas field into SLink structure

#ifndef __ADRENALIN__LINKS__HEADER__
#define __ADRENALIN__LINKS__HEADER__

#include "FTNStruc.hpp"
#include "CfgParse.hpp"
#include "Common.hpp"

const PASSWORD_SIZE = 16;

#ifndef MAX_PATH
#define MAX_PATH 260
#endif

// list of links

struct SLink {
    SFTNAddress   	Address;
    SFTNAddress*	OurAddr; // we will use this address while interchange data
    char          	Password[PASSWORD_SIZE];
    int           	RouteType;
    int           	BSOType;
    int           	AllowAreaCreation;
    unsigned long 	defaultGroup;
    int           	Activity;
    int           	Priority;
    unsigned long 	Groups;
    int           	Line;
    char		cfgFileName[MAX_PATH];
    char		szfnAvailAreas[MAX_PATH];
    char		szAutoCreatedPathName[MAX_PATH];
    char		m_szRobotName[36];
    SLink*		Next;
};


class CLinks {
public:
    CLinks();
    ~CLinks();
    SLink *Selected;
    int Select(SFTNAddress &SelAddr);
    int SelectFirst();
    int SelectNext();
    void Add(SLink &NewLink);
private:
    SLink *LinksList, *LastLink;
};


#endif
